@prefix sh: <http://www.w3.org/ns/shacl#> .
@prefix owl: <http://www.w3.org/2002/07/owl#> .
@prefix dcterms: <http://purl.org/dc/terms/> .
@prefix dfgfo: <https://github.com/tibonto/dfgfo/> .
@prefix xsd: <http://www.w3.org/2001/XMLSchema#> .
@prefix qudt: <http://qudt.org/schema/qudt/> .
@prefix aps: <https://w3id.org/nfdi4ing/profiles/> .

aps:38f3b6ea-4b7b-4336-82b4-8d0d2bed3212
    a sh:NodeShape ;
    # no target class until explicitly needed
    dcterms:subject dfgfo:4 ;
    dcterms:title "quantity value"@en ; 
    dcterms:description "A Quantity Value expresses the magnitude and kind of a quantity and is given by the product of a numerical value n and a unit of measure U. The number multiplying the unit is referred to as the numerical value of the quantity expressed in that unit. Refer to NIST SP 811 section 7 for more on quantity values."@en ;
    dcterms:title "Größenwert"@de ; 
    dcterms:description "Ein Wert einer physikalischen Größe drückt die Größe und Art einer Menge aus und wird durch das Produkt aus einem numerischen Wert n und einer Maßeinheit U gegeben. Die Zahl, die mit der Einheit multipliziert wird, wird als numerischer Wert der physikalischen Größe in dieser Einheit bezeichnet. Weitere Informationen über Größenwerte finden Sie in NIST SP 811 Abschnitt 7."@de ;
    dcterms:creator <https://orcid.org/0000-0002-6793-8533> ;
    dcterms:license <https://spdx.org/licenses/CC-BY-4.0.html> ;
    dcterms:created "2022-04-07"^^xsd:date ;
    sh:property [
        sh:name "unit"@en ;
        sh:description "Relation to a a unit of measure, or unit, which is a particular quantity value that has been chosen as a scale for measuring other quantities the same kind."@en ;
        sh:path qudt:unit ;
        sh:minCount 1 ;
        sh:maxCount 1 ;
        # sh:class qudt:Unit ; # only works if qudt vocabulary is provided to data graph! An alternative might be to list all allowed units in a UnitShape?
    ] ;
    sh:property [
        sh:name "numericValue"@en ;
        sh:description "Relation of an observable thing to its values, or reference to location where values are stored."@en ;
        sh:path qudt:numericValue ;
        sh:minCount 1 ;
        sh:maxCount 1 ;
        sh:node aps:a1bd5507-9575-490d-b792-e0bebf63a501 ; # Distribution# node constraint using Shape for Value or Valuereference!
    ] ;
    owl:imports aps:a1bd5507-9575-490d-b792-e0bebf63a501 . # Distribution